# Servers 

The Department of Meteorology and Geophysics has access to the following computing resources:

- Teaching and Development Server ([SRVX1](SRVX1.md))
- Remote Desktop Server ([SRVX8](SRVX8.md))
- Computing Cluster ([JET](JET.md))
- Vienna Scientific Cluster ([VSC](../VSC.md))


## Available Work Environments

Locations:

- Staff + Students [SRVX1](SRVX1.md)
- Staff + Remote Desktop [SRVX8](SRVX8.md)
- Staff + Remote Desktop + Jupyterhub [Jet Cluster](JET.md)
- Staff + Students, Jupyterhub called [TeachingHub](../TeachingHub.md)
- Staff [Vienna Scientific Cluster (VSC)](VSC.md)
    - [VSC Training](https://vsc.ac.at/training)
    - [VSC Trainings @ IMGW](https://gitlab.phaidra.org/imgw/trainings-course)

*Note: Please take a look at the training course @VSC. There might be a beginners course about Linux or Clusters or Python!* It is highly recommended to use these existing courses to get up to speed. Most of these are available as pdfs right away, but still taking the course is the prefered way.


## How to connect from Home or Abroad?

```graphviz dot attack_plan.png
digraph Servers {
    users [shape=none image="./mkdocs/img/student_sm.png" label="User" labelloc="b" height="1" imagepos="tc"]
    srvx1 [shape=none image="./mkdocs/img/server_sm.png" label="SRVX1" labelloc="b" height="1" imagepos="tc"]
    srvx8 [shape=none image="./mkdocs/img/server_sm.png" label="SRVX8" labelloc="b" height="1" imagepos="tc"]
    jet [shape=none image="./mkdocs/img/server_sm.png" label="JET" labelloc="b" height="1" imagepos="tc"]
    VPN [shape=none image="./mkdocs/img/local-area-network_sm.png" label="VPN" labelloc="b" height="1" imagepos="tc"]
    vsc [shape=none image="./mkdocs/img/logo_vsc_sm.png" label="VSC" labelloc="b" height=".8" imagepos="tc"]

    users -> srvx1
    users -> VPN
    srvx1 -> srvx8
    srvx1 -> jet
    srvx1 -> vsc
    VPN -> jet
    VPN -> vsc
    VPN -> srvx8
}
```

## How to connect from the Office?

```graphviz dot attack_plan.png
digraph Servers {
    users [shape=none image="./mkdocs/img/student_sm.png" label="User" labelloc="b" height="1" imagepos="tc"]
    srvx1 [shape=none image="./mkdocs/img/server_sm.png" label="SRVX1" labelloc="b" height="1" imagepos="tc"]
    srvx8 [shape=none image="./mkdocs/img/server_sm.png" label="SRVX8" labelloc="b" height="1" imagepos="tc"]
    jet [shape=none image="./mkdocs/img/server_sm.png" label="JET" labelloc="b" height="1" imagepos="tc"]
    vsc [shape=none image="./mkdocs/img/logo_vsc_sm.png" label="VSC" labelloc="b" height=".8" imagepos="tc"]

    users -> srvx1
    users -> srvx8
    users -> jet
    users -> vsc
}
```

# Containers & Services

Summary of services and containerized applications available @IMGW. 

| name | type | description | url/path | host |
|---|---|---|---|---|
| teachinghub | service | Jupyterlab for Teaching & Development | [teaching-wolke.img.univie.ac.at](https://teaching-wolke.img.univie.ac.at) | srvx1 |
| | | | | |


Containerization is done via singularity/apptainer. A some what incomplete introduction is given [here](https://gitlab.phaidra.org/imgw/singularity).